# Configures BBB for DYNDNS

Changes domain name with OVH API.  Updates an A record to the current IP.  

Updates `/etc/bigbluebutton/bbb-webrtc-sfu/production.yml` to current IP.  

Updates loopback device with current IP.


## requirements ubuntu

```
$ apt install python3-pip python-is-python3
$ pip install -r requirements.txt
```

## configuration

`cp env-example .env`

and edit `.env` with credentials from https://www.ovh.com/auth/api/createToken

This expects the file `/etc/bigbluebutton/bbb-webrtc-sfu/production.yml` to look like

```
freeswitch:
  ip: 87.142.106.77
  sip_ip: 127.0.0.1
kurento:
- ip: 192.168.2.47
  url: ws://127.0.0.1:8888/kurento
mediasoup:
  plainRtp:
    listenIp:
      announcedIp: 87.142.106.77
      ip: 0.0.0.0
  webrtc:
    listenIps:
    - announcedIp: 87.142.106.77
      ip: 0.0.0.0
    - announcedIp: 192.168.2.47
      ip: 0.0.0.0
```


## run

`dyndns-update ZONE SUBDOMAIN`

Returns 0 if IP change happened, 1 otherwise.  

Use bbb-update.sh to configure domain for cronjobs or so to also restart bbb.


## install

For changing the loopback device IP, this needs root rights.  

```
cd ~
git clone git@git.gugelfrei.de:bbb/dyndns-update.git   
```

Install as cronjob like

`*/5 * * * * root cd /home/user/dyndns-update ; ./update-bbb.sh`

to `/etc/cron.d/bbb`
